function GetUrlPath() {
    urlPath = window.location.pathname.split(".")[0].substring(1).split("/")[1];
    if (urlPath == "humidity") {
        return "humid"
    } else {
        return "temperature"
    }
}
urlPath = GetUrlPath();

// return everything after the question mark
function GetUrlParameter() {
    idx = window.location.href.indexOf("?");
    if (idx < 0) return "";
    return window.location.href.substring(idx + 1);
}
urlParameter = GetUrlParameter();

function GetChartXml() {
    switch (urlParameter) {
    case "3h":
    case "48h":
    case "1w":
    case "1m":
    case "3m":
    case "1y":
    case "1yminmax":
        return "data/" + urlPath + urlParameter + ".xml";
    }
    return "data/" + urlPath + "24h.xml";
}

function GetChartTitle() {

    var type = "Temperaturen";
    if (urlPath == "humid") {
        type = "Humidity"
    };
    switch (urlParameter) {
    case "3h":
        return type + " der letzten 3 Stunden";
    case "48h":
        return type + " der letzten 2 Tage";
    case "1w":
        return type + " der letzten Woche";
    case "1m":
        return type + " des letzten Monats";
    case "3m":
        return type + " der letzten 3 Monate";
    case "1y":
        return type + " des letzten Jahres";
    case "1yminmax":
        return "Min-Max " + type + " des letzten Jahres";
    }
    return type + " der letzten 24 Stunden";
}
;
